com.holonplatform.vaadin7.navigator.internal

## Class DefaultViewProviderAdapter

- java.lang.Object
- - com.holonplatform.vaadin7.navigator.internal.DefaultViewProviderAdapter

- All Implemented Interfaces:
    ViewProviderAdapter, com.vaadin.navigator.ViewProvider, Serializable

      public class DefaultViewProviderAdapter
      extends Object
      implements ViewProviderAdapter

  `ViewProvider` adapter which wraps a concrete ViewProvider and allow to perform some view instance processing before returning it to navigator using a `ViewProcessorProvider`.
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultViewProviderAdapter(ViewConfiguration.ViewConfigurationProvider viewConfigurationProvider, com.vaadin.navigator.ViewProvider viewProvider)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.vaadin.navigator.View` | `getView(String viewName)`
    `String` | `getViewName(String viewAndParameters)`
    `com.vaadin.navigator.ViewProvider` | `getWrappedProvider()` Get concrete view provider

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultViewProviderAdapter

          public DefaultViewProviderAdapter(ViewConfiguration.ViewConfigurationProvider viewConfigurationProvider,
                                            com.vaadin.navigator.ViewProvider viewProvider)

      Constructor
      Parameters:
        `viewConfigurationProvider` - ViewConfigurationProvider
        `viewProvider` - Concrete `ViewProvider`

  - ### Method Detail

    - #### getWrappedProvider

          public com.vaadin.navigator.ViewProvider getWrappedProvider()

      Description copied from interface: `ViewProviderAdapter`
      Get concrete view provider
      Specified by:
        `getWrappedProvider` in interface `ViewProviderAdapter`
      Returns:
        Wrapped ViewProvider

    - #### getViewName

          public String getViewName(String viewAndParameters)

      Specified by:
        `getViewName` in interface `com.vaadin.navigator.ViewProvider`

    - #### getView

          public com.vaadin.navigator.View getView(String viewName)

      Specified by:
        `getView` in interface `com.vaadin.navigator.ViewProvider`

Copyright © 2019 The Holon Platform. All rights reserved.